## GulkanInstance

GulkanInstance

## Functions

const gchar * | vk_result_string ()
gboolean | gulkan_has_error ()
#define | vk_check_error()
GulkanInstance * | gulkan_instance_new ()
gboolean | gulkan_instance_create ()
VkInstance | gulkan_instance_get_handle ()

## Types and Values

#define | GULKAN_TYPE_INSTANCE
| GulkanInstance

## Object Hierarchy

        GObject
        ╰── GulkanInstance

## Includes

    #include <gulkan.h>

## Description

## Functions

### vk_result_string ()

    const gchar *
    vk_result_string (VkResult code);

### gulkan_has_error ()

    gboolean
    gulkan_has_error (VkResult res,
                      const gchar *fun,
                      const gchar *file,
                      int line);

### vk_check_error()

    #define             vk_check_error(fun, res, ret)

### gulkan_instance_new ()

    GulkanInstance *
    gulkan_instance_new (void);

### gulkan_instance_create ()

    gboolean
    gulkan_instance_create (GulkanInstance *self,
                            GSList *requested_extensions);

### gulkan_instance_get_handle ()

    VkInstance
    gulkan_instance_get_handle (GulkanInstance *self);

## Types and Values

### GULKAN_TYPE_INSTANCE

    #define GULKAN_TYPE_INSTANCE gulkan_instance_get_type ()

### GulkanInstance

    typedef struct _GulkanInstance GulkanInstance;

A GulkanInstance which represents the Vulkan instance.